from textwrap import dedent

if langue == "fr":
    macro("F5", "regarder")
else:
    macro("F5", "look")

if direction == "fx":
    macro("F1", "nord")
    macro("F2", "sud")
    macro("F3", "ouest")
    macro("F4", "est")
else:
    macro("pavnum1", "sud-ouest")
    macro("pavnum2", "sud")
    macro("pavnum3", "sud-est")
    macro("pavnum4", "ouest")
    macro("pavnum6", "est")
    macro("pavnum7", "nord-ouest")
    macro("pavnum8", "nord")
    macro("pavnum9", "nord-est")

# Prompt par défaut / de combat
trigger(r"^(?:\[ *([0-9]+)\%\] )?Vit *([0-9]+) *Man *([0-9]+) *End *([0-9]+) *$", """{+
    # Conserve les anciennes valeurs de la vitalité, mana et endurance
    try:
        anc_adv = adv
        anc_vit = vit
        and_man = man
        anc_end = end
    except NameError:
        anc_adv = 0
        anc_vit = 0
        and_man = 0
        anc_end = 0

    adv = int(args["1"]) if args["1"] else 0
    vit = int(args["2"])
    man = int(args["3"])
    end = int(args["4"])

    # Remet les valeurs max si nécessaires
    try:
        assert vit_max >= vit
    except (NameError, AssertionError):
        vit_max = vit

    try:
        assert man_max >= man
    except (NameError, AssertionError):
        man_max = man

    try:
        assert end_max >= end
    except (NameError, AssertionError):
        end_max = end

    # Affiche le prompt sur la plage braille
    if adv:
        say("{}/{} {}/{} {}/{} ({}%)".format(vit, vit_max, man, man_max,
                end, end_max, adv), speech=False, screen=False)

    # Fait des signaux sonores en fonction
    if adv != anc_adv:
        niveau = int(adv / 10)
        play("sounds/adversaire_{}.wav".format(niveau))

    if vit != anc_vit:
        niveau = int(vit * 10 / vit_max)
        play("sounds/vitalite_{}.wav".format(niveau))
}""", mute=True)

if navigation:
    macro("Ctrl + Q", "#say $vitesse")
    macro("Ctrl + S", "#say $direction")
    macro("Ctrl + D", "#say $vent")
    macro("Ctrl + F", "#say $coque")
    trigger(r"^Vitesse ([?\d,]+) (.*), Vent (.*), (.*).$", dedent("""    {+
        vitesse = args["1"]
        direction = args["2"]
        vent = args["3"]
        coque = args["4"]
    }"""), mute=True)
